## Vue Flash Messages in Laravel


#### Flash session messages in your Laravel app.

![demoImg](https://i.imgur.com/znQTn7l.png)


#### Installation

* npm install vue-flash-messages

* Declare a Vue instance and create the Flash event in your                               `resources/js/bootstrap.js`:

    
        window.events = new Vue();

        window.flash = function (message) {
                window.events.$emit('flash', message);
        };

 * Declare the Vue component globally if needed in `resources/js/app.js`:

        import FlashMessages from 'vue-flash-messages'

        Vue.use(FlashMessages);

        Vue.component('flash-messages', FlashMessages);


* Call the component in your master blade file and pass the Session message as a prop:

        <flash-messages message="{{ session('flash') }}"></flash-messages>

* Use the mix() helper in your master blade file:

        <script src="{{ mix('/js/app.js') }}"></script>